._mixin_m(@spacing) {
    margin: @spacing;
}

._mixin_mh(@spacing) {
    margin-left: @spacing;
    margin-right: @spacing;
}

._mixin_mv(@spacing) {
    margin-top: @spacing;
    margin-bottom: @spacing;
}

._mixin_mt(@spacing) {
    margin-top: @spacing;
}

._mixin_mr(@spacing) {
    margin-right: @spacing;
}

._mixin_mb(@spacing) {
    margin-bottom: @spacing;
}

._mixin_ml(@spacing) {
    margin-left: @spacing;
}

.m_0 {
    margin: 0 !important;
}

.m_auto {
    margin: auto;
}

.m_xxs {
    ._mixin_m(var(--spacing_xxs))
}

.m_xs {
    ._mixin_m(var(--spacing_xs))
}

.m_s {
    ._mixin_m(var(--spacing_s))
}

.m_m {
    ._mixin_m(var(--spacing_m))
}

.m_l {
    ._mixin_m(var(--spacing_l))
}

.m_xl {
    ._mixin_m(var(--spacing_xl))
}

.m_xxl {
    ._mixin_m(var(--spacing_xxl))
}

.mh_0 {
    margin-left: 0 !important;
    margin-right: 0 !important;
}

.mh_auto {
    margin-left: auto;
    margin-right: auto;
}

.mh_xxs {
    ._mixin_mh(var(--spacing_xxs))
}

.mh_xs {
    ._mixin_mh(var(--spacing_xs))
}

.mh_s {
    ._mixin_mh(var(--spacing_s))
}

.mh_m {
    ._mixin_mh(var(--spacing_m))
}

.mh_l {
    ._mixin_mh(var(--spacing_l))
}

.mh_xl {
    ._mixin_mh(var(--spacing_xl))
}

.mh_xxl {
    ._mixin_mh(var(--spacing_xxl))
}

.mv_0 {
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}

.mv_auto {
    margin-top: auto;
    margin-bottom: auto;
}

.mv_xxs {
    ._mixin_mv(var(--spacing_xxs))
}

.mv_xs {
    ._mixin_mv(var(--spacing_xs))
}

.mv_s {
    ._mixin_mv(var(--spacing_s))
}

.mv_m {
    ._mixin_mv(var(--spacing_m))
}

.mv_l {
    ._mixin_mv(var(--spacing_l))
}

.mv_xl {
    ._mixin_mv(var(--spacing_xl))
}

.mv_xxl {
    ._mixin_mv(var(--spacing_xxl))
}

//////

.mt_0 {
    margin-top: 0 !important;
}

.mt_auto {
    margin-top: auto;
}

.mt_xxs {
    ._mixin_mt(var(--spacing_xxs))
}

.mt_xs {
    ._mixin_mt(var(--spacing_xs))
}

.mt_s {
    ._mixin_mt(var(--spacing_s))
}

.mt_m {
    ._mixin_mt(var(--spacing_m))
}

.mt_l {
    ._mixin_mt(var(--spacing_l))
}

.mt_xl {
    ._mixin_mt(var(--spacing_xl))
}

.mt_xxl {
    ._mixin_mt(var(--spacing_xxl))
}

.mr_xxs {
    ._mixin_mr(var(--spacing_xxs))
}

//////

.mr_0 {
    margin-right: 0 !important;
}

.mr_auto {
    margin-right: auto;
}

.mr_xs {
    ._mixin_mr(var(--spacing_xs))
}

.mr_s {
    ._mixin_mr(var(--spacing_s))
}

.mr_m {
    ._mixin_mr(var(--spacing_m))
}

.mr_l {
    ._mixin_mr(var(--spacing_l))
}

.mr_xl {
    ._mixin_mr(var(--spacing_xl))
}

.mr_xxl {
    ._mixin_mr(var(--spacing_xxl))
}

//////

.mb_0 {
    margin-bottom: 0 !important;
}

.mb_auto {
    margin-bottom: auto;
}

.mb_xxs {
    ._mixin_mb(var(--spacing_xxs))
}

.mb_xs {
    ._mixin_mb(var(--spacing_xs))
}

.mb_s {
    ._mixin_mb(var(--spacing_s))
}

.mb_m {
    ._mixin_mb(var(--spacing_m))
}

.mb_l {
    ._mixin_mb(var(--spacing_l))
}

.mb_xl {
    ._mixin_mb(var(--spacing_xl))
}

.mb_xxl {
    ._mixin_mb(var(--spacing_xxl))
}

//////

.ml_0 {
    margin-left: 0 !important;
}

.ml_auto {
    margin-left: auto;
}

.ml_xxs {
    ._mixin_ml(var(--spacing_xxs))
}

.ml_xs {
    ._mixin_ml(var(--spacing_xs))
}

.ml_s {
    ._mixin_ml(var(--spacing_s))
}

.ml_m {
    ._mixin_ml(var(--spacing_m))
}

.ml_l {
    ._mixin_ml(var(--spacing_l))
}

.ml_xl {
    ._mixin_ml(var(--spacing_xl))
}

.ml_xxl {
    ._mixin_ml(var(--spacing_xxl))
}
